Bug 338861 - dbus-launch fails to close X11 socket
dbus-launch fails to close X11 socket
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: dbus (Show other bugs)
rawhide
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-18 17:58 EDT by Pete Zaitcev
Modified: 2013-08-25 23:34 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-05 02:26:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pete Zaitcev 2007-10-18 17:58:34 EDT
Description of problem:

Running utilities that configure dbus leaves file descriptors open.
This causes ssh hang at disconnect.

Version-Release number of selected component (if applicable):

dbus-1.1.2-2.fc8

How reproducible:

Always, but see the steps

Steps to Reproduce:
0. Make sure gdm is running
1. Log in to a server with "ssh -Y host"
2. Run su to get root
3. Run gdmsetup
4. Change something not very important, so gdmsetup configures gdm
5. Close gdmsetup
6. Hit ^D two times to exit su and ssh seession
   THIS HANGS
  
Actual results:

Hang

Expected results:

No hang

Additional info:

Killing dbus-launch process releases ssh to complete the exit.
Comment 1 Matthias Clasen 2008-05-05 02:26:38 EDT
I believe this is fixed by the fix for bug 430412. Reopen if it is still an issue.
Comment 2 Tom Lane 2013-08-25 23:34:17 EDT
FWIW, I'm still seeing this behavior on RHEL6.  I don't currently have a Fedora installation to check, but I'm pretty sure it was still there as of F16, too.

lsof shows that dbus-launch isn't dropping its connection to the remote X server:

COMMAND    PID USER   FD   TYPE  DEVICE SIZE/OFF    NODE NAME
dbus-laun 6028  tgl  cwd    DIR   253,0     4096       2 /
dbus-laun 6028  tgl  rtd    DIR   253,0     4096       2 /
dbus-laun 6028  tgl  txt    REG   253,0    31896 2886028 /usr/bin/dbus-launch
dbus-laun 6028  tgl  mem    REG   253,0   156912 1442626 /lib64/ld-2.12.so
dbus-laun 6028  tgl  mem    REG   253,0  1922152 1453561 /lib64/libc-2.12.so
dbus-laun 6028  tgl  mem    REG   253,0   145720 1453562 /lib64/libpthread-2.12.so
dbus-laun 6028  tgl  mem    REG   253,0    22536 1453567 /lib64/libdl-2.12.so
dbus-laun 6028  tgl  mem    REG   253,0    47064 1453563 /lib64/librt-2.12.so
dbus-laun 6028  tgl  mem    REG   253,0   124728 2913977 /usr/lib64/libxcb.so.1.1.0
dbus-laun 6028  tgl  mem    REG   253,0    13168 2913976 /usr/lib64/libXau.so.6.0.0
dbus-laun 6028  tgl  mem    REG   253,0  1300376 2913978 /usr/lib64/libX11.so.6.3.0
dbus-laun 6028  tgl  mem    REG   253,0    65928 1441821 /lib64/libnss_files-2.12.so
dbus-laun 6028  tgl    0u   CHR     1,3      0t0    3698 /dev/null
dbus-laun 6028  tgl    1u   CHR     1,3      0t0    3698 /dev/null
dbus-laun 6028  tgl    2u   CHR     1,3      0t0    3698 /dev/null
dbus-laun 6028  tgl    3u  IPv6 1348257      0t0     TCP localhost:39782->localhost:x11-ssh-offset (ESTABLISHED)
dbus-laun 6028  tgl    4u   CHR     1,3      0t0    3698 /dev/null
dbus-laun 6028  tgl    5u  IPv6 1348288      0t0     TCP localhost:39783->localhost:x11-ssh-offset (ESTABLISHED)
dbus-laun 6028  tgl    8r  FIFO     0,8      0t0 1348263 pipe

Personally I'm not aware that I have any use whatsoever for a session-local dbus, and
would just as soon have a way to prevent gnome applications from launching one in the
first place.

Note You need to log in before you can comment on or make changes to this bug.